%define name abuledu-suites
%define version 0.0.2
%define release 3
%define execname suites.tcl
%define execpublicname suites
%define abuledu_dest /usr/share/abuledu/applications

Summary: Un outil pour decouvrir les suites numeriques
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://intranet.abuledu.org/~abuledu_david/%{name}-%{version}.tgz
Source1:    %{name}-16.png.bz2
Source2:    %{name}-32.png.bz2
Source3:   %{name}-48.png.bz2
License: GPL 2
Group: AbulEdu
Url: http://www.abuledu.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: tcl > 8.0, tk > 8.0
Requires: tcl > 8.0, tk > 8.0

%description
Un outil pour decouvrir les suites numeriques

%prep
%setup

%build
cat > lanceur << EOF
#!/bin/sh
(
cd %{abuledu_dest}/%{name}
./%{execname}
)
EOF
chmod 755 lanceur
chmod 755 *.tcl
chmod 755 runbrowser

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{abuledu_dest}/%{name}
cp -a * $RPM_BUILD_ROOT%{abuledu_dest}/%{name}/

install -c lanceur $RPM_BUILD_ROOT%{_bindir}/%{execpublicname}
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{execpublicname}"\
title="%{name}"\
longtitle="%{name}"\
needs="x11"\
icon="%{name}.png"\
section="AbulEdu"
EOF
)
 
%post
#on copie le script de lancement de l aide sur le system
cp -a %{abuledu_dest}/%{name}/runbrowser /usr/bin
#cd %{abuledu_dest}/%{name}/lib/
#tar -xf kid.tar
%{update_menus}
  
%postun
rm -rf %{abuledu_dest}/%{name}
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme
%{_bindir}/%{execpublicname}
%{_menudir}/*
# icons
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{abuledu_dest}/%{name}/
%{abuledu_dest}/%{name}/*

%changelog
* Sun Jan 21 2006 Eric Seigne <erics@rycks.com> 0.2-2
- Ameliorations diverses, integration des fichiers d'activites

* Sun Jan 01 2006 Eric Seigne <erics@rycks.com> 0.2-2
- Correction de petits bugs

* Sat Dec 31 2005 Eric Seigne <erics@rycks.com> 0.2-1
- Fonction suites aleatoires

* Sat Dec 24 2005 Eric Seigne <erics@rycks.com> 0.1-1
- First Release

